import CheckoutIntents from 'checkout-intents';const client = new CheckoutIntents({ apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted});const product = await client.products.lookup({ url: 'url' });console.log(product.id);
import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
product = client.products.lookup(
url="url",
)
print(product.id)
package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.products.Product;
import com.rye.models.products.ProductLookupParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
ProductLookupParams params = ProductLookupParams.builder()
.url("url")
.build();
Product product = client.products().lookup(params);
}
}
import CheckoutIntents from 'checkout-intents';const client = new CheckoutIntents({ apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted});const product = await client.products.lookup({ url: 'url' });console.log(product.id);
import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
product = client.products.lookup(
url="url",
)
print(product.id)
package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.products.Product;
import com.rye.models.products.ProductLookupParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
ProductLookupParams params = ProductLookupParams.builder()
.url("url")
.build();
Product product = client.products().lookup(params);
}
}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Rye","colors":{"primary":"#8FA957","light":"#71F47B","dark":"#4ED558"},"logo":{"light":"https://mintcdn.com/rye-35/HxmlWhy6JbETnsaq/logo/light.png?fit=max\u0026auto=format\u0026n=HxmlWhy6JbETnsaq\u0026q=85\u0026s=182633959f1a288230f647271c1c7476","dark":"https://mintcdn.com/rye-35/HxmlWhy6JbETnsaq/logo/dark.png?fit=max\u0026auto=format\u0026n=HxmlWhy6JbETnsaq\u0026q=85\u0026s=7fac74ff711d8f0881f72abac10a06d3"},"favicon":"https://mintcdn.com/rye-35/xUdlCl6dEnnyYEIw/favicon.svg?fit=max\u0026auto=format\u0026n=xUdlCl6dEnnyYEIw\u0026q=85\u0026s=c870aa7f86a3c0c182086626c79a2713","appearance":{"default":"light"},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://console.rye.com/login"}},"footer":{"socials":{"twitter":"https://twitter.com/rye","linkedin":"https://www.linkedin.com/company/rye"}},"seo":{"metatags":{"canonical":"https://rye.com/docs"}},"integrations":{"koala":{"publicApiKey":"pk_95052208d158276836ec341f6a0080042796"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rye-35","hasAudioNarration":false,"actualSubdomain":"rye-35","customDomains":["docs-test.rye.com"],"gitSource":{"type":"github","owner":"rye-com","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a8ce6f9a36c60d45730fb3b","collectionId":"351129e7-0187-489e-a688-bd36bb42791a","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a8ce6f9a36c60d45730fb3b"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a8ce6f9a36c60d45730fb3b","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Universal Checkout API Documentation","count":74},{"language":"default","tag":"API Reference","count":40},{"language":"default","tag":"Universal Checkout API","count":23},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Checkout Intents","count":7},{"language":"default","tag":"Rewards SDK","count":6},{"language":"default","tag":"Billing","count":6},{"language":"default","tag":"Test Helpers","count":6},{"language":"default","tag":"API Access \u0026 Environments","count":4},{"language":"default","tag":"Quickstart","count":4}]},"assistantConfig":{"deflection":{"enabled":true,"email":"support@rye.com","showHelpButton":true}},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-v2/api-reference/products/lookup-product","slug":"/api-v2/api-reference/products/lookup-product","pageMetadata":{"title":"Lookup product","description":"Lookup a product's information by URL.","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/checkout-intents/openapi.documented.yml get /api/v1/products/lookup","href":"/api-v2/api-reference/products/lookup-product","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Lookup a product’s information by URL.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Lookup product","description":"Lookup a product's information by URL.","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/checkout-intents/openapi.documented.yml get /api/v1/products/lookup","href":"/api-v2/api-reference/products/lookup-product","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"Lookup","responses":{"200":"6f4f07e9-c7e8-4da0-a4fa-011c3f976910","401":"1fc3e53c-2c4a-4505-abc4-9278627cc556","404":"b0108a28-b801-4031-b875-370328fbb7ec","422":"e36913e6-cb37-456b-9e1a-758338d67f5b","500":"71e4f5f5-fcc9-4caa-a59e-52ca398b45b3"},"description":"Lookup a product's information by URL.","summary":"Lookup product","tags":["Products"],"security":["1aa784b8-f8b2-489d-9f65-d996db85df4b"],"parameters":["040b0fa8-1d8a-447f-937c-e69c73b51d38"],"x-codeSamples":[{"lang":"JavaScript","source":"import CheckoutIntents from 'checkout-intents';\n\nconst client = new CheckoutIntents({\n apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted\n});\n\nconst product = await client.products.lookup({ url: 'url' });\n\nconsole.log(product.id);"},{"lang":"Python","source":"import os\nfrom checkout_intents import CheckoutIntents\n\nclient = CheckoutIntents(\n api_key=os.environ.get(\"CHECKOUT_INTENTS_API_KEY\"), # This is the default and can be omitted\n)\nproduct = client.products.lookup(\n url=\"url\",\n)\nprint(product.id)"},{"lang":"Java","source":"package com.rye.example;\n\nimport com.rye.client.CheckoutIntentsClient;\nimport com.rye.client.okhttp.CheckoutIntentsOkHttpClient;\nimport com.rye.models.products.Product;\nimport com.rye.models.products.ProductLookupParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();\n\n ProductLookupParams params = ProductLookupParams.builder()\n .url(\"url\")\n .build();\n Product product = client.products().lookup(params);\n }\n}"},{"lang":"cURL","source":"curl https://staging.api.rye.com/api/v1/products/lookup \\\n -H \"Authorization: Bearer $CHECKOUT_INTENTS_API_KEY\""}],"method":"get","type":"path","servers":["acb102c5-75a3-45d6-b231-c0798433221a"],"path":"/api/v1/products/lookup","baseUrlOptions":["https://staging.api.rye.com"],"title":"Lookup product","codeSamples":[{"lang":"JavaScript","source":"import CheckoutIntents from 'checkout-intents';\n\nconst client = new CheckoutIntents({\n apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted\n});\n\nconst product = await client.products.lookup({ url: 'url' });\n\nconsole.log(product.id);"},{"lang":"Python","source":"import os\nfrom checkout_intents import CheckoutIntents\n\nclient = CheckoutIntents(\n api_key=os.environ.get(\"CHECKOUT_INTENTS_API_KEY\"), # This is the default and can be omitted\n)\nproduct = client.products.lookup(\n url=\"url\",\n)\nprint(product.id)"},{"lang":"Java","source":"package com.rye.example;\n\nimport com.rye.client.CheckoutIntentsClient;\nimport com.rye.client.okhttp.CheckoutIntentsOkHttpClient;\nimport com.rye.models.products.Product;\nimport com.rye.models.products.ProductLookupParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();\n\n ProductLookupParams params = ProductLookupParams.builder()\n .url(\"url\")\n .build();\n Product product = client.products().lookup(params);\n }\n}"},{"lang":"cURL","source":"curl https://staging.api.rye.com/api/v1/products/lookup \\\n -H \"Authorization: Bearer $CHECKOUT_INTENTS_API_KEY\""}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"040b0fa8-1d8a-447f-937c-e69c73b51d38":{"in":"query","name":"url","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"responses":{"6f4f07e9-c7e8-4da0-a4fa-011c3f976910":{"description":"Product information","content":{"application/json":{"schema":{"properties":{"isPurchasable":{"type":"boolean","example":true,"isRequired":true,"uniqueKey":"isPurchasable","typeLabel":"boolean"},"availability":{"type":"string","enum":["in_stock","out_of_stock","preorder","backorder","unknown"],"description":"The availability status of a product.\n- `in_stock`: Product is available for immediate purchase\n- `out_of_stock`: Product is currently unavailable\n- `preorder`: Product is available for pre-order before release\n- `backorder`: Product is temporarily out of stock but can be ordered\n- `unknown`: Availability could not be determined","example":"in_stock","isRequired":true,"uniqueKey":"availability","typeLabel":"enum\u003cstring>"},"price":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"price.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"price.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"price","typeLabel":"object"},"images":{"items":{"properties":{"isFeatured":{"type":"boolean","example":true,"isRequired":true,"uniqueKey":"images.items.[INDEX].isFeatured","typeLabel":"boolean"},"url":{"type":"string","example":"https://example.com/images/product-123.jpg","isRequired":true,"uniqueKey":"images.items.[INDEX].url","typeLabel":"string"}},"required":["isFeatured","url"],"type":"object","uniqueKey":"images.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"images","typeLabel":"object[]"},"description":{"oneOf":[{"type":"string","example":"A high-quality widget designed for professionals.","isRequired":true,"uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","example":"A high-quality widget designed for professionals.","isRequired":true,"uniqueKey":"description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"description","typeLabel":"string | null"},"brand":{"oneOf":[{"type":"string","example":"Acme","isRequired":true,"uniqueKey":"brand.oneOf.0","typeLabel":"string"},{"type":"null","example":"Acme","isRequired":true,"uniqueKey":"brand.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"brand","typeLabel":"string | null"},"name":{"type":"string","example":"Widget Pro","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"sku":{"oneOf":[{"type":"string","example":"SKU-12345","isRequired":true,"uniqueKey":"sku.oneOf.0","typeLabel":"string"},{"type":"null","example":"SKU-12345","isRequired":true,"uniqueKey":"sku.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"sku","typeLabel":"string | null"},"retailer":{"oneOf":[{"type":"string","example":"Amazon","isRequired":true,"uniqueKey":"retailer.oneOf.0","typeLabel":"string"},{"type":"null","example":"Amazon","isRequired":true,"uniqueKey":"retailer.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"retailer","typeLabel":"string | null"},"url":{"type":"string","example":"https://example.com/products/widget-pro","isRequired":true,"uniqueKey":"url","typeLabel":"string"},"id":{"type":"string","example":"amazon.com:B0DFC9MT8Q","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"variants":{"oneOf":[{"items":{"properties":{"availability":{"type":"string","enum":["in_stock","out_of_stock","preorder","backorder","unknown"],"description":"The availability status of a product.\n- `in_stock`: Product is available for immediate purchase\n- `out_of_stock`: Product is currently unavailable\n- `preorder`: Product is available for pre-order before release\n- `backorder`: Product is temporarily out of stock but can be ordered\n- `unknown`: Availability could not be determined","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].availability","typeLabel":"enum\u003cstring>"},"images":{"items":{"properties":{"isFeatured":{"type":"boolean","example":true,"isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].images.items.[INDEX].isFeatured","typeLabel":"boolean"},"url":{"type":"string","example":"https://example.com/images/product-123.jpg","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].images.items.[INDEX].url","typeLabel":"string"}},"required":["isFeatured","url"],"type":"object","uniqueKey":"variants.oneOf.0.items.[INDEX].images.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].images","typeLabel":"object[]"},"price":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].price.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].price.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].price","typeLabel":"object"},"dimensions":{"items":{"properties":{"value":{"type":"string","maxLength":60,"example":"Small, Red, XS, L, etc.","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].dimensions.items.[INDEX].value","typeLabel":"string"},"label":{"type":"string","example":"Size, Color, etc.","maxLength":30,"isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].dimensions.items.[INDEX].label","typeLabel":"string"}},"required":["value","label"],"type":"object","uniqueKey":"variants.oneOf.0.items.[INDEX].dimensions.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].dimensions","typeLabel":"object[]"},"name":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].name","typeLabel":"string | null"},"sku":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].sku.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].sku.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].sku","typeLabel":"string | null"},"id":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"variants.oneOf.0.items.[INDEX].id","typeLabel":"string | null"}},"required":["availability","images","price","dimensions","name","sku","id"],"type":"object","uniqueKey":"variants.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"variants.oneOf.0","typeLabel":"object[]"},{"items":{"properties":{"availability":{"type":"string","enum":["in_stock","out_of_stock","preorder","backorder","unknown"],"description":"The availability status of a product.\n- `in_stock`: Product is available for immediate purchase\n- `out_of_stock`: Product is currently unavailable\n- `preorder`: Product is available for pre-order before release\n- `backorder`: Product is temporarily out of stock but can be ordered\n- `unknown`: Availability could not be determined"},"images":{"items":{"properties":{"isFeatured":{"type":"boolean","example":true},"url":{"type":"string","example":"https://example.com/images/product-123.jpg"}},"required":["isFeatured","url"],"type":"object"},"type":"array"},"price":{"properties":{"currencyCode":{"type":"string","example":"USD"},"amountSubunits":{"type":"integer","format":"int32","example":1500}},"required":["currencyCode","amountSubunits"],"type":"object"},"dimensions":{"items":{"properties":{"value":{"type":"string","maxLength":60,"example":"Small, Red, XS, L, etc."},"label":{"type":"string","example":"Size, Color, etc.","maxLength":30}},"required":["value","label"],"type":"object"},"type":"array"},"name":{"oneOf":[{"type":"string"},{"type":"null"}]},"sku":{"oneOf":[{"type":"string"},{"type":"null"}]},"id":{"oneOf":[{"type":"string"},{"type":"null"}]}},"required":["availability","images","price","dimensions","name","sku","id"],"type":"object"},"type":"null","uniqueKey":"variants.oneOf.1","typeLabel":"null"}],"uniqueKey":"variants","typeLabel":"object[] | null"},"variantDimensions":{"oneOf":[{"items":{"properties":{"values":{"items":{"type":"string","uniqueKey":"variantDimensions.oneOf.0.items.[INDEX].values.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"variantDimensions.oneOf.0.items.[INDEX].values","typeLabel":"string[]"},"label":{"type":"string","isRequired":true,"uniqueKey":"variantDimensions.oneOf.0.items.[INDEX].label","typeLabel":"string"}},"required":["values","label"],"type":"object","uniqueKey":"variantDimensions.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"variantDimensions.oneOf.0","typeLabel":"object[]"},{"items":{"properties":{"values":{"items":{"type":"string"},"type":"array"},"label":{"type":"string"}},"required":["values","label"],"type":"object"},"type":"null","uniqueKey":"variantDimensions.oneOf.1","typeLabel":"null"}],"uniqueKey":"variantDimensions","typeLabel":"object[] | null"}},"required":["isPurchasable","availability","price","images","description","brand","name","sku","retailer","url","id"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"isPurchasable":true,"availability":"in_stock","price":{"currencyCode":"USD","amountSubunits":1500},"images":[{"isFeatured":true,"url":"https://example.com/images/product-123.jpg"}],"description":"A high-quality widget designed for professionals.","brand":"Acme","name":"Widget Pro","sku":"SKU-12345","retailer":"Amazon","url":"https://example.com/products/widget-pro","id":"amazon.com:B0DFC9MT8Q","variants":[{"availability":"in_stock","images":[{"isFeatured":true,"url":"https://example.com/images/product-123.jpg"}],"price":{"currencyCode":"USD","amountSubunits":1500},"dimensions":[{"value":"Small, Red, XS, L, etc.","label":"Size, Color, etc."}],"name":"\u003cstring>","sku":"\u003cstring>","id":"\u003cstring>"}],"variantDimensions":[{"values":["\u003cstring>"],"label":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"1fc3e53c-2c4a-4505-abc4-9278627cc556":{"description":"Authentication Failed","content":{"application/json":{"schema":{"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"stack":{"type":"string","uniqueKey":"stack","typeLabel":"string"}},"required":["name","message"],"type":"object","additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","message":"\u003cstring>","stack":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"b0108a28-b801-4031-b875-370328fbb7ec":{"description":"Not Found","content":{"application/json":{"schema":{"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"stack":{"type":"string","uniqueKey":"stack","typeLabel":"string"}},"required":["name","message"],"type":"object","additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","message":"\u003cstring>","stack":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"e36913e6-cb37-456b-9e1a-758338d67f5b":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"status":{"type":"number","format":"double","isRequired":true,"uniqueKey":"status","typeLabel":"number\u003cdouble>"},"fields":{"properties":{},"type":"object","additionalProperties":{"properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"fields.additionalProperties.message","typeLabel":"string"},"value":{"oneOf":[{}],"uniqueKey":"fields.additionalProperties.value","typeLabel":"any"}},"required":["message"],"type":"object","uniqueKey":"fields.additionalProperties","typeLabel":"object"},"isRequired":true,"uniqueKey":"fields","typeLabel":"object"},"stack":{"type":"string","uniqueKey":"stack","typeLabel":"string"}},"required":["name","message","status","fields"],"type":"object","additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","message":"\u003cstring>","status":123,"fields":{},"stack":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"71e4f5f5-fcc9-4caa-a59e-52ca398b45b3":{"description":"Internal Server Error","content":{"application/json":{"schema":{"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"stack":{"type":"string","uniqueKey":"stack","typeLabel":"string"}},"required":["name","message"],"type":"object","additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","message":"\u003cstring>","stack":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"1aa784b8-f8b2-489d-9f65-d996db85df4b":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Rye API key","scopes":["products:read"]}}},"servers":{"acb102c5-75a3-45d6-b231-c0798433221a":{"url":"https://staging.api.rye.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"Authorization","description":"Rye API key","scopes":["products:read"]},"schema":{"title":"Authorization","type":"string","description":"Rye API key","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"rye-35","siteName":"Rye","title":"Lookup product - Rye","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-20T17:32:26.673Z","originalFileLocation":"api-v2/api-reference/products/lookup-product.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Lookup a product\u0026#x27;s information by URL.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Rye\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Lookup product - Rye\">\u003cmeta data-mint-head property=\"og:description\" content=\"Lookup a product\u0026#x27;s information by URL.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Rye\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://rye.com/docs/api-v2/api-reference/products/lookup-product\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://rye-35.mintlify.site/docs/_mintlify/api/og/v2?division=Products\u0026amp;title=Lookup+product\u0026amp;description=Lookup+a+product%27s+information+by+URL.\u0026amp;theme=0da4786005ceb4b92b0a6966\u0026amp;signature=b629463a709c08bfcc201a979917bfae2acbcb4c047acf6d41fcf10a0c60cd68\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Lookup product - Rye\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Lookup a product\u0026#x27;s information by URL.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://rye-35.mintlify.site/docs/_mintlify/api/og/v2?division=Products\u0026amp;title=Lookup+product\u0026amp;description=Lookup+a+product%27s+information+by+URL.\u0026amp;theme=0da4786005ceb4b92b0a6966\u0026amp;signature=b629463a709c08bfcc201a979917bfae2acbcb4c047acf6d41fcf10a0c60cd68\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Rye\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#8FA957\">\u003clink data-mint-head rel=\"canonical\" href=\"https://rye.com/docs/api-v2/api-reference/products/lookup-product\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-v2/api-reference/products/lookup-product.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://rye.com/#organization\",\"name\":\"Rye\",\"url\":\"https://rye.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/rye-35/HxmlWhy6JbETnsaq/logo/light.png?fit=max\u0026auto=format\u0026n=HxmlWhy6JbETnsaq\u0026q=85\u0026s=182633959f1a288230f647271c1c7476\"}},{\"@type\":\"WebSite\",\"@id\":\"https://rye.com/docs#website\",\"name\":\"Rye\",\"url\":\"https://rye.com/docs\",\"publisher\":{\"@id\":\"https://rye.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://rye.com/docs/api-v2/api-reference/products/lookup-product#webpage\",\"url\":\"https://rye.com/docs/api-v2/api-reference/products/lookup-product\",\"name\":\"Lookup product\",\"description\":\"Lookup a product's information by URL.\",\"dateModified\":\"2026-08-20T17:32:26.673Z\",\"isPartOf\":{\"@id\":\"https://rye.com/docs#website\"},\"breadcrumb\":{\"@id\":\"https://rye.com/docs/api-v2/api-reference/products/lookup-product#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://rye.com/docs/api-v2/api-reference/products/lookup-product#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://rye.com/docs/api-v2/api-reference/billing/get-drawdown-balance\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Lookup product\",\"item\":\"https://rye.com/docs/api-v2/api-reference/products/lookup-product\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://rye.com/docs/api-v2/api-reference/products/lookup-product#apireference\",\"headline\":\"Lookup product\",\"name\":\"Lookup product\",\"description\":\"Lookup a product's information by URL.\",\"url\":\"https://rye.com/docs/api-v2/api-reference/products/lookup-product\",\"mainEntityOfPage\":{\"@id\":\"https://rye.com/docs/api-v2/api-reference/products/lookup-product#webpage\"},\"dateModified\":\"2026-08-20T17:32:26.673Z\",\"publisher\":{\"@id\":\"https://rye.com/#organization\"},\"isPartOf\":{\"@id\":\"https://rye.com/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Rye\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Rye","nav":{"global":null,"tabs":[{"tab":"Universal Checkout API Documentation","groups":[{"group":"Universal Checkout API","pages":[{"title":"Rye API: Enable Your Users to Buy Any Product","sidebarTitle":"Introduction","href":"/api-v2/introduction"},{"group":"Quickstart","pages":[{"title":"Quickstart: Send an Order to Any Merchant","sidebarTitle":"Send an Order to Any Merchant","href":"/api-v2/example-flows/simple-checkout"},{"title":"Single Step Checkout","href":"/api-v2/example-flows/single-step-checkout"},{"title":"Build an AI chat storefront with Rye and Stripe in Next.js","sidebarTitle":"Chat Storefront","href":"/api-v2/example-flows/chat-storefront"},{"title":"Build an Ecommerce App with Lovable","sidebarTitle":"Lovable","href":"/api-v2/lovable-rye-tutorial"}]},{"group":"API Access \u0026 Environments","pages":[{"title":"Account Registration","sidebarTitle":"Account Registration","href":"/api-v2/account-registration"},{"title":"Authorization","href":"/api-v2/authorization"},{"title":"Environments","href":"/api-v2/environments"},{"title":"Rate Limits","href":"/api-v2/rate-limits"}]},{"group":"Guides","pages":[{"title":"API Comparison: Universal Checkout vs Sync","sidebarTitle":"API Comparison","href":"/api-v2/api-comparison"},{"title":"API Limitations","sidebarTitle":"API Limitations","href":"/api-v2/developer-notes"},{"title":"Submit Orders to Best Buy","sidebarTitle":"Best Buy","href":"/api-v2/best-buy"},{"title":"Checkout Intent Lifecycle","sidebarTitle":"Checkout Intent Lifecycle","href":"/api-v2/checkout-intent-lifecycle"},{"title":"Returns","sidebarTitle":"Returns","href":"/api-v2/returns"},{"title":"Go Live with Rye: Production Checklist","sidebarTitle":"Go Live","href":"/api-v2/go-live"},{"title":"Handling API Errors","sidebarTitle":"Handling API Errors","href":"/api-v2/errors"},{"title":"Promo Codes","href":"/api-v2/promo-codes"},{"title":"RyeBot Allowlisting","sidebarTitle":"RyeBot","href":"/api-v2/ryebot"},{"group":"Payment Providers","pages":[{"title":"Payment Providers","sidebarTitle":"Overview","href":"/api-v2/payment-providers"},{"title":"Basis Theory Elements","sidebarTitle":"Basis Theory","href":"/api-v2/payment-providers/basis-theory"},{"title":"Stripe","sidebarTitle":"Stripe","href":"/api-v2/payment-providers/stripe"},{"title":"Drawdown","sidebarTitle":"Drawdown","href":"/api-v2/payment-providers/drawdown"}]},{"title":"Variants","href":"/api-v2/variants"}]}]},{"group":"Tools","pages":[{"title":"Build with Rye Using AI","sidebarTitle":"Coding Agents","href":"/api-v2/llm-quickstart"},{"title":"SDKs","sidebarTitle":"SDKs","href":"/api-v2/sdk"},{"title":"Postman Collection","sidebarTitle":"Postman Collection","url":"https://www.postman.com/rye-team/rye/collection/cwbmsqg/universal-checkout-api","href":"/api-v2/postman"}]},{"group":"Testing","pages":[{"title":"Create a Test Store","sidebarTitle":"Create a Test Store","href":"/api-v2/testing/with-shopify"},{"title":"Test Products","sidebarTitle":"Test Products","href":"/api-v2/testing/test-products"}]},{"group":"Webhooks","pages":[{"title":"Webhooks","sidebarTitle":"Webhooks","href":"/api-v2/webhooks"},{"title":"Types of events","href":"/api-v2/webhooks/types"}]},{"group":"API Reference","pages":[{"group":"Billing","pages":[{"title":"Get drawdown balance","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/billing/balance","href":"/api-v2/api-reference/billing/get-drawdown-balance"},{"title":"Get billing info","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/billing","href":"/api-v2/api-reference/billing/get-billing-info"},{"title":"Setup drawdown billing","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/billing/drawdown","href":"/api-v2/api-reference/billing/setup-drawdown-billing"},{"title":"Create on-demand top-up invoice","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/billing/drawdown/topup","href":"/api-v2/api-reference/billing/create-on-demand-top-up-invoice"},{"title":"Cancel top-up invoice","deprecated":null,"version":null,"openapi":"/openapi.documented.yml delete /api/v1/billing/drawdown/topup/{invoiceId}","href":"/api-v2/api-reference/billing/cancel-top-up-invoice"},{"title":"List drawdown transactions","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/billing/transactions","href":"/api-v2/api-reference/billing/list-drawdown-transactions"}]},{"group":"Brands","pages":[{"title":"Retrieve brand","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/brands/domain/{domain}","href":"/api-v2/api-reference/brands/retrieve-brand"}]},{"group":"Checkout Intents","pages":[{"title":"List checkout intents","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/checkout-intents","href":"/api-v2/api-reference/checkout-intents/list-checkout-intents"},{"title":"Create checkout intent","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/checkout-intents","href":"/api-v2/api-reference/checkout-intents/create-checkout-intent"},{"title":"Retrieve checkout intent","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/checkout-intents/{id}","href":"/api-v2/api-reference/checkout-intents/retrieve-checkout-intent"},{"title":"Retrieve order","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/checkout-intents/{id}/order","href":"/api-v2/api-reference/checkout-intents/retrieve-order"},{"title":"Confirm checkout intent","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/checkout-intents/{id}/confirm","href":"/api-v2/api-reference/checkout-intents/confirm-checkout-intent"},{"title":"List shipments for checkout intent","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/checkout-intents/{id}/shipments","href":"/api-v2/api-reference/checkout-intents/list-shipments-for-checkout-intent"},{"title":"Purchase product","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/checkout-intents/purchase","href":"/api-v2/api-reference/checkout-intents/purchase-product"}]},{"group":"Betas","pages":[{"title":"Create checkout session","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/betas/checkout-sessions","href":"/api-v2/api-reference/betas/create-checkout-session"}]},{"group":"Commissions","pages":[{"title":"Retrieve commission","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/commissions/{id}","href":"/api-v2/api-reference/commissions/retrieve-commission"},{"title":"List commissions","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/commissions","href":"/api-v2/api-reference/commissions/list-commissions"}]},{"group":"Events","pages":[{"title":"List events","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/events","href":"/api-v2/api-reference/events/list-events"},{"title":"Retrieve event","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/events/{id}","href":"/api-v2/api-reference/events/retrieve-event"},{"title":"Trigger event","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/events/trigger","href":"/api-v2/api-reference/events/trigger-event"}]},{"group":"Merchant Connectors","pages":[{"title":"Create merchant connector installation link","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/merchant-connectors/{connector}/installation-link","href":"/api-v2/api-reference/merchant-connectors/create-merchant-connector-installation-link"}]},{"group":"Orders","pages":[{"title":"List orders","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/orders","href":"/api-v2/api-reference/orders/list-orders"},{"title":"Get order","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/orders/{id}","href":"/api-v2/api-reference/orders/get-order"},{"title":"Update order buyer","deprecated":null,"version":null,"openapi":"/openapi.documented.yml put /api/v1/orders/{id}/buyer","href":"/api-v2/api-reference/orders/update-order-buyer"},{"title":"Cancel order","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/orders/{id}/cancel","href":"/api-v2/api-reference/orders/cancel-order"}]},{"group":"Payment Gateways","pages":[{"title":"Create payment gateway session","description":"Create a payment gateway session for client-side card tokenization.\n\nReturns short-lived credentials scoped to the authenticated developer.\nUse the credentials with the corresponding gateway's client-side SDK to\ntokenize a card. Tokens created this way are locked to the developer's\ncontainer and cannot be used by other developers.","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/payment-gateways/{gateway}/session","href":"/api-v2/api-reference/payment-gateways/create-payment-gateway-session"}]},{"group":"Products","pages":[{"title":"Lookup product","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/products/lookup","href":"/api-v2/api-reference/products/lookup-product"},{"title":"List product subscriptions","description":"Retrieve product subscription rules.","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/products/subscriptions","href":"/api-v2/api-reference/products/list-product-subscriptions"},{"title":"Subscribe to product events","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/products/subscribe","href":"/api-v2/api-reference/products/subscribe-to-product-events"},{"title":"Unsubscribe from product events","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/products/unsubscribe","href":"/api-v2/api-reference/products/unsubscribe-from-product-events"}]},{"group":"Returns","pages":[{"title":"Create return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/returns","href":"/api-v2/api-reference/returns/create-return"},{"title":"Get return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/returns/{returnId}","href":"/api-v2/api-reference/returns/get-return"}]},{"group":"Shipments","pages":[{"title":"List shipments","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/shipments","href":"/api-v2/api-reference/shipments/list-shipments"},{"title":"Retrieve shipment by id","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/shipments/{id}","href":"/api-v2/api-reference/shipments/retrieve-shipment-by-id"}]},{"group":"Test Helpers","pages":[{"title":"Advance simulated shipment","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/checkout-intents/{checkoutIntentId}/shipments/advance","href":"/api-v2/api-reference/test-helpers/advance-simulated-shipment"},{"title":"Create simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns","href":"/api-v2/api-reference/test-helpers/create-simulated-return"},{"title":"Approve simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns/{returnId}/approve","href":"/api-v2/api-reference/test-helpers/approve-simulated-return"},{"title":"Deny simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns/{returnId}/deny","href":"/api-v2/api-reference/test-helpers/deny-simulated-return"},{"title":"Refund simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns/{returnId}/refund","href":"/api-v2/api-reference/test-helpers/refund-simulated-return"},{"title":"Fail simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns/{returnId}/fail","href":"/api-v2/api-reference/test-helpers/fail-simulated-return"}]}]},{"group":"Help","pages":[{"title":"Security","href":"/api-v2/security"},{"title":"Support","href":"/api-v2/support"},{"title":"Migrate from V1","href":"/api-v2/migrate-from-v1"},{"title":"Legacy Documentation","url":"https://docs-v1.rye.com","href":"/sync-api-docs"}]}]},{"tab":"Rewards SDK","pages":[{"title":"Rewards SDK","href":"/rewards/introduction"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/api-v2/changelog"}]},{"tab":"Rye Status","href":"https://ryestatus.com"}]},"basePath":"","title":"Lookup product - Rye","buildId":"dpl_ATnXPMW25DMPUr9VBw6kL6MfBt6T","deploymentId":"dpl_ATnXPMW25DMPUr9VBw6kL6MfBt6T","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CNqlzjVB.js","utils-BqFiXZ79.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CnR4QBe6.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BY2ZM1OO.js","snippetPresets-x-8ACO8V.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ch-SJE05.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CqqG_0NE.js","shallow-BXrZ2b0C.js","getApiPlaygroundDisplay-n7J_wkjq.js","CodeSnippet-CQsp4vyQ.js","CodeSnippets-BfuHqvZx.js","Page-CTxrMSpo.js","getPastedJson-BjrGIK1i.js","icon-7iLZnVOC.js","MethodPill-TBS1m84e.js","DuplicateIcon-BNMrV4Vs.js","createIcon-C5kCqeU2.js","DynamicMarkdown-Bq09mRwR.js","SectionHeading-G4Bflf5Q.js","axios-vUo_bRtp.js","Markdown-BTUds0aX.js","clsx-6wHzaN2_.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BPypQKlo.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-o6bee4ro.js"]}